%{
	Theory II - 20070124: Chord progression, at least 8 chords, using all 7 diatonic chords.
%}
\version "2.10.2"
#(set-global-staff-size 23)
\include "english.ly"
\include "chords.ly"
\include "paper-assignment.ly"

\header {	
		dedication = ""
		title = ""
		subtitle = ""
		poet = ""
		meter = ""
		piece = ""
		composer = \markup \column \right-align { "Matt Durell" "MUS 111 601" "January 24, 2007" }
	    %copyright = \markup \teeny \center-align {"Copyright © 2007 Matthew L. Durell, All Rights Reserved." "$Rev: 18 $"}
		tagline = ""
}

%{
	Close Structure
%}

TIMESIG = { \time 4/4 }
TEMPO = { \tempo 4=50 }
KEYSIG = { \key af \major }
ANALYSISKEY="A♭M:"
PIECE= "Open Structure"	% Prints on the right
OPUS = ""	% Prints on the left

%PHRASE = \mark \markup { \huge "," }

\parallelMusic #'(SOPRANO ALTO TENOR BASS) {
	ef4	ef		ef		f	|
	g4		g		af		af	|
	c4		bf		c		c	|
	c4		ef		af		f	|
	
	f4		f		g		af\fermata \bar "||"	|
	af4	bf		bf		c					|
	df4	df		df		ef					|
	df4	bf		bf		af					|
}

ANALYSIS = \lyricmode {
	ⅲ	Ⅴ		Ⅰ		ⅵ
 	Ⅳ	ⅱ	\viidF	Ⅰ 
}

SOPRANO = \relative c'' \SOPRANO
ALTO = \relative c'' \ALTO
TENOR = \relative c' \TENOR
BASS = \relative c \BASS

\score { 
	
	\context GrandStaff <<
		\context Staff = "upper" <<
			\clef treble
			\context Voice = "one" {
		    	\KEYSIG
		    	\TIMESIG
				\TEMPO
				\voiceOne
				\SOPRANO
			}
			\context Voice = "two" {
				\voiceTwo
		    	\ALTO
			} 
		>>
						
		\context Staff = "lower" <<
			\clef bass
			\context Voice = "one" {
				\KEYSIG
				\voiceOne
		    	\TENOR
			}
			\context Voice = "two" {
				\voiceTwo
		    	\BASS
			}
		>>

		\lyricsto "two" \new Lyrics { 
			\set stanza = \ANALYSISKEY
			\ANALYSIS
		}
	>>
	\header { 
		piece = \PIECE 
		opus = \OPUS
	}
	
	\layout {

			\context { \Lyrics
			minimumVerticalExtent = #'(-0.5 . 3)
	  		}	

			\context { \StaffGroup
	%		\remove "Span_bar_engraver"
			}

			\context { \Staff
			minimumVerticalExtent = #'(-3 . 3)
			autoBeaming = ##t
			\unset melismaBusyProperties 
			}

			\context { \Score
				\override MetronomeMark #'extra-offset = #'(-14 . 0)
			    \override MetronomeMark #'padding = #'3
				barNumberVisibility = #all-invisible
				\remove "Metronome_mark_engraver"
			}
	}

	\midi { }

}

